#include <stdio.h>
#include <sql.h>
#include <sqlext.h>

int main()
{
	SQLHANDLE env, dbc, stmt;
	SQLRETURN ret;
	char text[ 128 ];

	ret = SQLAllocEnv( &env );
	ret = SQLAllocConnect( env, &dbc );

	ret = SQLConnect( dbc, "lsuk", SQL_NTS,
			NULL, 0, NULL, 0 );

	if ( !SQL_SUCCEEDED( ret ))
	{
		char message[ 128 ];
        	char state[ 6 ];

		ret = SQLError( NULL, dbc, NULL, state, NULL, message, sizeof( message ), NULL );
		printf( "error:%s:%s\n", state, message );
		exit( -1 );
	}

	ret = SQLAllocStmt( dbc, &stmt );

	if ( SQL_SUCCEEDED( ret ))
	{
		ret = SQLExecDirect( stmt, "select count(*) from lsuk_lostdogs", SQL_NTS );

		if ( SQL_SUCCEEDED( ret ))
		{
			SQLFetch( stmt );
			SQLGetData( stmt, 1, SQL_CHAR, text, sizeof( text ), NULL );

			printf( "Count = %s\n", text );
		}
	}

	SQLFreeStmt( stmt, SQL_CLOSE );
	SQLDisconnect( dbc );
	SQLFreeConnect( dbc );
	SQLFreeEnv( env );
}
